package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.common.page.QueryInfo;
import org.joda.time.DateTime;

import java.util.Date;
import java.util.List;

public class CloudTeacherOrderQueryInfo extends QueryInfo {

	@ApiModelProperty(value = "乐团Id")
	private String musicGroupId;

	@ApiModelProperty(value = "交易状态(0-待生效 1-生效中 2-已生效 3-已退)")
	private Integer status;

	@ApiModelProperty(value = "学生编号")
	private Integer studentId;

	@ApiModelProperty(value = "学员姓名/编号/电话")
	private String queryCondition;


	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "声部Id")
	private Integer subjectId;

	@ApiModelProperty(value = "开始时间")
	private Date startTime;

	@ApiModelProperty(value = "分部")
	private String organIds;

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	@ApiModelProperty(value = "结束时间")
	private Date endTime;

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getStudentId() {
		return studentId;
	}

	public void setStudentId(Integer studentId) {
		this.studentId = studentId;
	}

	public String getQueryCondition() {
		return queryCondition;
	}

	public void setQueryCondition(String queryCondition) {
		this.queryCondition = queryCondition;
	}

	public Integer getSubjectId() {
		return subjectId;
	}

	public void setSubjectId(Integer subjectId) {
		this.subjectId = subjectId;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public String getOrganIds() {
		return organIds;
	}

	public void setOrganIds(String organIds) {
		this.organIds = organIds;
	}
}
